# Class Facet

java.lang.Object
org.gradle.plugins.ide.eclipse.model.Facet

@Deprecated public class Facet extends Object
Deprecated.
Will be removed in Gradle 10.
A project facet.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `Facet.FacetType`
  Deprecated.
  An `installed` facet is really present on an Eclipse project whereas facet type `fixed` means that this facet is locked and cannot be simply removed.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Facet()`
  Deprecated.
  `Facet(Node node)`
  Deprecated.
  `Facet(String name, String version)`
  Deprecated.
  `Facet(Facet.FacetType type, String name, String version)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `appendNode(Node node)`
  Deprecated.
  `boolean`
  `equals(Object o)`
  Deprecated.
  `String`
  `getName()`
  Deprecated.
  `Facet.FacetType`
  `getType()`
  Deprecated.
  `String`
  `getVersion()`
  Deprecated.
  `int`
  `hashCode()`
  Deprecated.
  `void`
  `setName(String name)`
  Deprecated.
  `void`
  `setType(Facet.FacetType type)`
  Deprecated.
  `void`
  `setVersion(String version)`
  Deprecated.
  `String`
  `toString()`
  Deprecated.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Facet

    public Facet()
    Deprecated.

  - ### Facet

    public Facet(Node node)
    Deprecated.

  - ### Facet

    public Facet(String name, String version)
    Deprecated.

  - ### Facet

    public Facet(Facet.FacetType type, String name, String version)
    Deprecated.

- ## Method Details

  - ### getType

    public Facet.FacetType getType()
    Deprecated.

  - ### setType

    public void setType(Facet.FacetType type)
    Deprecated.

  - ### getName

    public String getName()
    Deprecated.

  - ### setName

    public void setName(String name)
    Deprecated.

  - ### getVersion

    public String getVersion()
    Deprecated.

  - ### setVersion

    public void setVersion(String version)
    Deprecated.

  - ### appendNode

    public void appendNode(Node node)
    Deprecated.

  - ### equals

    public boolean equals(Object o)
    Deprecated.
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Deprecated.
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Deprecated.
    Overrides:
      `toString` in class `Object`